# container

vue 页面框架

### demo 演示地址

[demo 演示页面](http://www.test, '演示地址')

### 插件的安装

#### npm

```
npm i vue-container-yl
```

#### 引入插件

```
import vueContainer from 'vue-container-yl'
import Vue from 'vue'

Vue.use(vueContainer)
```

#### 基本用法

```html
<vueContainer
  :menuList="menuList"
  @onMenuChange="handleMenuChange"
  :activeIndex="activeIndex"
>
  <div slot="header">Header</div>
  <div slot="container">Container</div>
</vueContainer>
```

### API

| 参数        | 说明     | 类型   | 默认值 |
| ----------- | :------- | :----- | :----- |
| activeIndex | 当前菜单 | String | 'home' |
| menuList    | 菜单列表 | Array  | [{     |

name: 'home',
icon: '',
title: '首页'
}]
|
